classification
Title: streams.py:IncompleteReadError message is unclear when expected is None
Type: enhancement Stage: resolved
Components: asyncio, Library (Lib) Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Tyler Bell, ZackerySpytz, asvetlov, miss-islington, mrbell321@gmail.com, yselivanov
Priority: normal Keywords: patch

Created on 2018-07-24 20:43 by mrbell321@gmail.com, last changed 2020-11-28 15:08 by asvetlov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4354 closed mrbell321@gmail.com, 2018-07-24 20:43
PR 21925 merged ZackerySpytz, 2020-08-20 02:21
PR 23539 merged miss-islington, 2020-11-28 14:28
PR 23540 merged miss-islington, 2020-11-28 14:28
Messages (5)
msg322329 - (view) Author: Tyler Bell (mrbell321@gmail.com) * Date: 2018-07-24 20:43
This may have already been cleared as I opened the PR months ago
But the gist is that the Exception is misleading and the test is incorrect.
msg342747 - (view) Author: Tyler Bell (Tyler Bell) Date: 2019-05-17 18:10
I've updated my PR to reflect a better message for the IncompleteReadError exception. When expected is None, the error reads, "IncompleteReadError: 1 bytes read on a total of None expected bytes" which is confusing. My PR changes this to "IncompleteReadError: 1 bytes read on a total of unknown expected bytes". Otherwise, it is required that whoever views the exception text(possibly through layers of abstraction), to know that None(a "low level" programmers decision) is equal to unknown.
msg382002 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2020-11-28 14:27
New changeset 8085f742f4adfbc85f13fc734dfab036aa23acfb by Zackery Spytz in branch 'master':
bpo-34215: Clarify IncompleteReadError message when "expected" is None (GH-21925)
https://github.com/python/cpython/commit/8085f742f4adfbc85f13fc734dfab036aa23acfb
msg382004 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2020-11-28 14:44
New changeset 4498e98a6bdf017d3b65fa679baf4c797909beb6 by Miss Islington (bot) in branch '3.8':
bpo-34215: Clarify IncompleteReadError message when "expected" is None (GH-21925) (#23540)
https://github.com/python/cpython/commit/4498e98a6bdf017d3b65fa679baf4c797909beb6
msg382008 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2020-11-28 15:07
New changeset df6c8bcffef3380869c8f76317610ce452880b25 by Miss Islington (bot) in branch '3.9':
bpo-34215: Clarify IncompleteReadError message when "expected" is None (GH-21925) (GH-23539)
https://github.com/python/cpython/commit/df6c8bcffef3380869c8f76317610ce452880b25
History
Date User Action Args
2020-11-28 15:08:09asvetlovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-11-28 15:07:55asvetlovsetmessages: + msg382008
2020-11-28 14:44:37asvetlovsetmessages: + msg382004
2020-11-28 14:37:37asvetlovsetversions: + Python 3.8, Python 3.9
2020-11-28 14:28:18miss-islingtonsetpull_requests: + pull_request22422
2020-11-28 14:28:04miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request22421
2020-11-28 14:27:37asvetlovsetmessages: + msg382002
2020-08-20 02:21:37ZackerySpytzsetkeywords: + patch
pull_requests: + pull_request21038
2020-08-20 02:15:48ZackerySpytzsetnosy: + ZackerySpytz
title: streams.py:IncompleteReadError is message is unclear when expected is None -> streams.py:IncompleteReadError message is unclear when expected is None

components: + asyncio
versions: + Python 3.10, - Python 3.9
2019-12-15 13:40:17cheryl.sabellasetnosy: + asvetlov, yselivanov
stage: patch review

versions: + Python 3.9, - Python 3.5
2019-05-17 18:10:19Tyler Bellsetnosy: + Tyler Bell

messages: + msg342747
title: streams.py:readuntil IncompleteReadError is message is incorrect -> streams.py:IncompleteReadError is message is unclear when expected is None
2018-07-24 20:43:44mrbell321@gmail.comcreate